import { Request, Response } from 'express';
import { container } from 'tsyringe';
import { ListByForumIdUseCase } from './ListByForumIdUseCase';


class ListByForumIdController {
    async handle(request: Request, response: Response) {
        const{forum_id} = request.params;

        const listByForumIdUseCase = container.resolve(ListByForumIdUseCase)

        const messages = await listByForumIdUseCase.execute(forum_id)

        return response.status(200).json(messages)
    }
}

export {ListByForumIdController}