import { IMessagesRepository } from "@modules/messages/repositories/IMessagesRepository";
import { injectable, inject } from "tsyringe";

@injectable()
class ListByForumIdUseCase {
    constructor(
        @inject('MessageRepository')
        private messagesRepository: IMessagesRepository
    ) { }

    async execute(forum_id: string) {
        const messages = await this.messagesRepository.findByForum(forum_id)

        return messages
    }
}

export {ListByForumIdUseCase}